bugs.gw.com
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000031tcshgeneralpublic2006-03-15 15:002012-06-21 21:47
ReporterRostislav Krasny 
Assigned ToChristos Zoulas 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platformi386 (Pentium III)OSFreeBSDOS Version6.1-PRERELEASE
Product Version6.14.00 
Target VersionFixed in VersionHEAD 
Summary0000031: a bunch of builtin ls-F bugs
DescriptionFollowing bugs where found in the builtin ls-F command:

Bug #1, error messages printed to stdout instead stderr
Bug #2, exit status is always 0
Bug 0000003, a mystic ioctl error message could be printed instead of
        "No such file or directory" message when output is redirected.
Steps To ReproduceFrom my original report on tcsh-bugs@mx.gw.com:

Let's begin. This is my tcsh configuration:

> uname -a
FreeBSD saturn.lan 6.1-PRERELEASE FreeBSD 6.1-PRERELEASE #0: Mon Mar 13 11:01:56 IST 2006 root@saturn.lan:/usr/obj/usr/src/sys/MYKERNEL i386
> tcsh --version
tcsh 6.14.00 (Astron) 2005-03-25 (i386-intel-FreeBSD) options wide,nls,dl,al,kan,rh,color,filec

Just empty files in the current directory:

> /bin/ls -F
file1 file2
> ls-F
file1 file2

Bug #1, error messages printed to stdout instead stderr:

> sh
$ /bin/tcsh -c '/bin/ls -F file3' 2> err.txt
$ cat err.txt
ls: file3: No such file or directory
$ /bin/tcsh -c 'ls-F file3' 2> err.txt
file3: No such file or directory.
$ cat err.txt
$

Bug #2, exit status is always 0:

> /bin/ls -F file3 ; echo $?
ls: file3: No such file or directory
1
> ls-F file3 ; echo $?
file3: No such file or directory.
0

Bug 0000003, a mystic ioctl:

> /bin/ls -F file3 | more
ls: file3: No such file or directory
> ls-F file3 | more
file3: No such file or directory.
> ls-F file1 file3 | more
file1
file3: Inappropriate ioctl for device.
> ls-F file1 file2 file3 | more
file1
file2
file3: Inappropriate ioctl for device.

...even more mystic ioctl:

> mkdir dir1
> ls-F dir1 file3 | more
dir1:
file3: No such file or directory.
> ls-F dir1 file1 file3 | more
dir1:

file1
file3: Inappropriate ioctl for device.
>
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000306)
Christos Zoulas (manager)
2012-06-21 21:47

fixed, thanks. The ioctl portion I could not replicate.

- Issue History
Date Modified Username Field Change
2006-03-15 15:00 Rostislav Krasny New Issue
2012-06-21 21:47 Christos Zoulas Status new => resolved
2012-06-21 21:47 Christos Zoulas Fixed in Version => HEAD
2012-06-21 21:47 Christos Zoulas Resolution open => fixed
2012-06-21 21:47 Christos Zoulas Assigned To => Christos Zoulas
2012-06-21 21:47 Christos Zoulas Note Added: 0000306


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker